public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: journalctl-and-similar: Adjust subtest relevancy
@ 2026-09-11 13:22 Stepan Broz
0 siblings, 0 replies; only message in thread
From: Stepan Broz @ 2026-09-11 13:22 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 6b8128b89158002dd4505feff22fad72733fea74
Author : Stepan Broz <sbroz@redhat.com>
Date : 2025-05-05T14:44:32+00:00
Stats : +2/-0 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/6b8128b89158002dd4505feff22fad72733fea74?branch=pr775-checkpolicy-revdeps
Log:
journalctl-and-similar: Adjust subtest relevancy
Do not test "bz#2136189 + bz#2153782" on RHEL-8 version below RHEL-8.8, and
RHEL-9 versions below RHEL-9.4.
---
diff --git a/selinux-policy/journalctl-and-similar/runtest.sh b/selinux-policy/journalctl-and-similar/runtest.sh
index 2f9dc81..4f5a7f3 100755
--- a/selinux-policy/journalctl-and-similar/runtest.sh
+++ b/selinux-policy/journalctl-and-similar/runtest.sh
@@ -125,6 +125,7 @@ rlJournalStart
rlRun "setsebool ssh_sysadm_login off"
rlPhaseEnd
+ if ! ( IrIsRHEL 8 && rlIsRHEL "<8.8" ) && ! ( rlIsRHEL 9 && rlIsRHEL "<9.3" ); then
rlPhaseStartTest "bz#2136189 + bz#2153782"
rlSESearchRule "allow journalctl_t journalctl_t : capability { sys_resource } [ ]"
rlSESearchRule "allow journalctl_t journalctl_t : process { setrlimit } [ ]"
@@ -138,6 +139,7 @@ rlJournalStart
rlRun "userdel -rfZ ${USER_NAME}"
rlRun "setsebool ssh_sysadm_login off"
rlPhaseEnd
+ fi
rlPhaseStartCleanup
sleep 2
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:22 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:22 [tests/selinux] pr775-checkpolicy-revdeps: journalctl-and-similar: Adjust subtest relevancy Stepan Broz
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox